# fast-cra-starter

## Usage

```
$ npm install

$ npm start

$ npm run test
```

#### Directory & File Structure

```bash
fast-cra-starter/
├── src/
│   ├── __tests__/
│   │   ├── api.test.js 
│   │   └── app.container.test.js 
│   │
│   ├── components/
│   │   ├── Card.js
│   │   └── Card.scss
│   │
│   ├── pages/
│   │   ├── Main.test.js
│   │   ├── Main.js
│   │   ├── Main.scss
│   │   │
│   │   ├── Sub.js
│   │   └── Sub.scss
│   │
│   ├── providers/
│   │   ├── api/
│   │   │   └── index.js
│   │   │
│   │   └── containers/
│   │   │   ├── AppContainer.js
│   │   │   └── index.js
│   │   │
│   │   └── pipes/
│   │       └── index.js
│   │
│   ├── App.js
│   ├── App.scss
│   │
│   ├── index.js
│   ├── index.scss
│   │
│   └── setupTests.js
│
└── package.json
```

#### Requirements

- [create-react-app](https://github.com/facebook/create-react-app)
- [node-sass](https://github.com/sass/node-sass)
- [react-router-dom](https://www.npmjs.com/package/react-router-dom)
- [unstated](https://github.com/jamiebuilds/unstated)
- [immutability-helper](https://github.com/kolodny/immutability-helper)
- [axios](https://github.com/axios/axios)
- [jest](https://github.com/facebook/jest)
- [enzyme](https://github.com/airbnb/enzyme)
- [serve](https://github.com/zeit/serve)
- [json-server](https://github.com/typicode/json-server)

## License
[MIT](LICENSE)